#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    int n,x;
    long int s=0,temp;
    scanf("%d%d",&n,&x);
    long int a[n];
    for(int i=0;i<n;i++)
        scanf("%ld",&a[i]);
    for(int i=0;i<n-1;i++)
    for(int j=i+1;j<n;j++){
        if(a[i]<a[j]){
            temp=a[i];
            a[i]=a[j];
            a[j]=temp;
        }
    }
    if(x<a[0]&&x<a[n-1])
        s+=fabs(a[n-1]-x);
    else if(x>a[0]&&x>a[n-1])
        s+=fabs(x-a[0]);
    else
    {
        s+=fabs(x-a[0]);
        s+=fabs(a[n-1]-a[0]);
    }
    printf("%ld",s);
    return 0;